;===============================================================================
; Delay24BC
;
; Long delay rotine, the main loop delay is 24 T. An overhead of 27 T must be
;accounted for CALL and RET instructions. 
;
; Equation of delay duration: (24*BC+27) T
; Minimum delay (BC=1): 51 T
; Maximum delay (BC=0): 1 572 891 T
; Input: BC=number of cycles
; Output: A=B=C=0
; Registers used: AF, BC. 
;===============================================================================
;
Delay24BC
        DEC BC                  ; (6T)
        LD A,B                  ; (4T)
        OR C                    ; (4T)
        JP NZ,Delay24BC         ; (10T)
        RET                     ; (10T)

